Jump to content

[1.1.3] Procedural Parts - Parts the way you want 'em - v1.2.5 July 3


OtherBarry
 Share

Recommended Posts

On 10/9/2016 at 9:51 PM, Dewar said:

hey guys. Has anyone played this with the 1.2pre release?

how is the stability? 

I love this mod but it has been a bit crashy for me on 1.1.3. (No logs I uninstalled a while ago)

i see a 1.2 pre release version on the github. Ill try it and let you know :) 

Link to comment
Share on other sites

On 9/30/2016 at 0:24 PM, Matuchkin said:

Is it possible to make the tanks a bit more detailed? Say, the cylindrical shielded tanks can actually be pill-shaped tanks with stringer/wall sections to have a cylindrical profile, like the rear-end of this Atlas V tank.

Also, perhaps you can make it possible to remove the tank wall and expose the strut-supported pill-shaped internal tanks. Just an idea.

It's looking good! I've been testing it for a couple of days and haven't really seen any issues. 

Link to comment
Share on other sites

On 10/12/2016 at 1:28 PM, Atrius129 said:

It's looking good! I've been testing it for a couple of days and haven't really seen any issues. 

 

On 10/12/2016 at 8:25 AM, sDaZe said:

i see a 1.2 pre release version on the github. Ill try it and let you know :) 

Where is this 1.2 pre release and where can I get it? I can't seem to find it even with the "sourcegit" link on the OP

Link to comment
Share on other sites

All been testing the 1.2 pre release, working fine only one annoying behavior and it is when selecting textures, you have to click the arrow twice for it to change. This behavior is the same wether you are using the usi-ls cfg file or not. Other han that it is behaving normally

Link to comment
Share on other sites

The Liquid variant isn't working for me. It doesn't have any (rocket)fuel, nor can I add any. 

I'm using the 1.2 pre release version. All other procedural tanks are working

 

Edit: I'm trying to find out if there's a mod I'm using that causes this.

Edit2: Modular Fuel Tanks is the culprit.

 

 

Edited by DaniWesNL
Link to comment
Share on other sites

Am I the only one for whom 1.2.5 totally not working after update (no tweakables in VAB, old vessels are broken with parts attached to PP floating in space, while PP themselves are look like a default part freshly added from part list)? :)

Link to comment
Share on other sites

On ‎10‎/‎20‎/‎2016 at 8:28 AM, Mystique said:

Am I the only one for whom 1.2.5 totally not working after update (no tweakables in VAB, old vessels are broken with parts attached to PP floating in space, while PP themselves are look like a default part freshly added from part list)? :)

Have you got the prerelease for 1.2 (v 1.2.6)? Had the same problem this fixed it.

Link to comment
Share on other sites

Is there a way to set ISP and max thrust of procedural SRBs according to tech level like TECHLIMIT nodes do for dimensions and tank volume? I want to replace as many non-procedural parts as possible/sensible for my next career playthrough, but the procedural SRBs are waaaay too OP early on. I guess one could consider the silly visuals of having a giant engine bell on a tiny tank to be a quasi-limit on thrust, but that still leaves ISP.

I can just move the initial part unlock way high up the tech tree (and retain the various non-procedural SRBs up to that point), but I'd rather not do that if it can be helped...

Link to comment
Share on other sites

I have this "Unlimited thrust" issue in 1.2-pre build too. It looks like "thrust1m" is just ignored for now, allowing to make SRB bell of any diameter, like Tzar-bell on 1.25m SRB. It seems like it should be naturally limited by this parameter, but it is not due to a bug.

Link to comment
Share on other sites

All usi ls compatibility file is missing the cfg extension. To fix go to game data\procedural parts\parts\zothermods\usi-ls compatibility and rename file to usi-ls compatibility.cfg.. this will give you a usi-ls tank

Edited by Rafael acevedo
Link to comment
Share on other sites

Why is KSP 1.2.1 telling me that Procedural Parts 1.2.7 is incompatible? I'm not talking about KSP-AVC or MiniAVC warnings, it's the KSP itself telling me that during the loading. What's more interesting is that this is the only mod that it's happening to, and I have a whole bunch of mods in my install, majority of which were made for KSP 1.2.0, just as Procedural Parts 1.2.7 was.

Edited by Sol Invictus
Link to comment
Share on other sites

27 minutes ago, Sol Invictus said:

Why is KSP 1.2.1 telling me that Procedural Parts 1.2.7 is incompatible? I'm not talking about KSP-AVC or MiniAVC warnings, it's the KSP itself telling me that during the loading. What's more interesting is that this is the only mod that it's happening to, and I have a whole bunch of mods in my install, majority of which were made for KSP 1.2.0, just as Procedural Parts 1.2.7 was.

I get the message, and have been playing on 1.2.1 without issue. Actually even the annoying bug of having to click twice to change texture in 1.2 is gone

Link to comment
Share on other sites

13 hours ago, Rafael acevedo said:

I get the message, and have been playing on 1.2.1 without issue. Actually even the annoying bug of having to click twice to change texture in 1.2 is gone

https://github.com/Swamp-Ig/ProceduralParts/blob/master/Source/zzVersionChecker.cs#L68

this is why you get that warning, the mod is checking for subversioning of ksp too, in this case because 1.2.1 is most likely only bug fixes, the mod works but gives you that warning :/

Link to comment
Share on other sites

4 hours ago, Jiraiyah said:

https://github.com/Swamp-Ig/ProceduralParts/blob/master/Source/zzVersionChecker.cs#L68

this is why you get that warning, the mod is checking for subversioning of ksp too, in this case because 1.2.1 is most likely only bug fixes, the mod works but gives you that warning :/

Thanks.. but the important thing is that mod works and the message can be disregarded 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...